# ChangeLog for www-servers/tomcat
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/www-servers/tomcat/ChangeLog,v 1.132 2007/04/04 22:22:55 wltjr Exp $

*tomcat-6.0.10-r2 (04 Apr 2007)

  04 Apr 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-6.0.10-r1.ebuild, +tomcat-6.0.10-r2.ebuild:
  Additional sed to correct server webapp context. Switched from copying
  context's to symlinking. Unbundled examples jakarta-jstl jars when USE flag
  is set.

  03 Apr 2007; Christian Faulhammer <opfer@gentoo.org>
  tomcat-5.5.23-r1.ebuild:
  x86 stable, security bug 173122

*tomcat-5.5.23-r1 (02 Apr 2007)

  02 Apr 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-5.5.23.ebuild, +tomcat-5.5.23-r1.ebuild:
  Modified ebuild to work with split-ant, or not since it needs to be
  stabilized ASAP, and split ant is not stable yet.

  30 Mar 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.20-r8.ebuild, tomcat-5.5.23.ebuild, tomcat-6.0.10-r1.ebuild:
  Updated dep on commons-modeler to >=2.0 per bug #172734. Also added ewarn
  output about missing dbcp.jar per bug #144276

  29 Mar 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -files/5.0.28/build.xml-01.patch, -files/5.0.28/gentoo.diff,
  -files/5.0.28/setclasspath.patch, -files/5.0.28/build.xml-02.patch,
  -files/5.0.28/jikes.diff, -files/5.0.28/tomcat.conf,
  -files/5.0.28/log4j.properties, -files/5.0.28/tomcat.conf-r1,
  -files/5.0.28/scripts.patch, -files/5.0.28/tomcat.env,
  -files/5.0.28/tomcat.init, -tomcat-5.0.28-r14.ebuild,
  -tomcat-5.5.20-r10.ebuild:
  House cleaning, removed 5.0.28 and 5.5.20-r10 since 5.5.23/6.0.10 will be
  stabilized next.

*tomcat-6.0.10-r1 (20 Mar 2007)

  20 Mar 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-6.0.10.ebuild, +tomcat-6.0.10-r1.ebuild:
  Registered jars per bug #171496. Copy one bin dir instead of two. Replace
  copy of commons-daemon.jar with symlink via jar-from

  12 Mar 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.20-r8.ebuild, tomcat-5.5.20-r10.ebuild, tomcat-5.5.23.ebuild,
  tomcat-6.0.10.ebuild:
  Restored full changelog, corrected virtual deps, dropped some comments from
  6.0.10, replaced legacy instances of java-config -p with java-pkg_getjar
  from eclass.

*tomcat-5.5.23 (09 Mar 2007)

  09 Mar 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -files/5.5.22/catalinabuild-xml.patch,
  -files/5.5.22/jasperbuild-xml.patch,
  -files/5.5.22/jsr152_examples_build-xml.patch,
  -files/5.5.22/jsr152build-xml-examples.patch,
  -files/5.5.22/jsr154_examples_build-xml.patch,
  -files/5.5.22/jsr154build-xml-examples.patch,
  -files/5.5.22/mainbuild-xml.patch, -files/5.5.22/tomcat.conf,
  -files/5.5.22/tomcat.init, -files/5.5.22/tomcatbuild-xml.patch,
  +files/5.5/catalina_build_xml.patch,
  +files/5.5/jsr152_examples_build_xml.patch, +files/5.5/tomcat.init,
  +files/5.5/jasper_build_xml.patch,
  +files/5.5/jsr154_examples_build_xml.patch,
  +files/5.5/main_build_xml.patch, +files/5.5/tomcat.conf,
  +files/5.5/tomcat_build_xml.patch, -tomcat-5.5.22_pre-r1.ebuild,
  +tomcat-5.5.23.ebuild:
  Bumped 5.5 to latest release, removed pre-release version

*tomcat-6.0.10 (01 Mar 2007)

  01 Mar 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-6.0.9_beta.ebuild, -tomcat-6.0.10_pre.ebuild,
  +tomcat-6.0.10.ebuild:
  Brand new 0 day release version of Tomcat 6.0.x :). Removed older
  development versions. Long live tc 6.0.x die <=5.5.x

  27 Feb 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.20-r10.ebuild, tomcat-5.5.22_pre-r1.ebuild:
  Ebuild cleanups

*tomcat-5.5.22_pre-r1 (15 Feb 2007)

  15 Feb 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.20-r10.ebuild, -tomcat-5.5.22_pre.ebuild,
  +tomcat-5.5.22_pre-r1.ebuild, tomcat-6.0.9_beta.ebuild,
  tomcat-6.0.10_pre.ebuild:
  Corrected ant deps and tasks. Switched 5.5.20-r10 & 5.5.22_pre-r1 to ecj
  3.2. Also correct their deps, too many were dropped when java5 USE flag is
  set.

*tomcat-5.5.22_pre (13 Feb 2007)

  13 Feb 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  +files/5.5.22/catalinabuild-xml.patch,
  +files/5.5.22/jasperbuild-xml.patch,
  +files/5.5.22/jsr152_examples_build-xml.patch,
  +files/5.5.22/jsr152build-xml-examples.patch,
  +files/5.5.22/jsr154_examples_build-xml.patch,
  +files/5.5.22/jsr154build-xml-examples.patch,
  +files/5.5.22/mainbuild-xml.patch, +files/5.5.22/tomcat.conf,
  +files/5.5.22/tomcat.init, +files/5.5.22/tomcatbuild-xml.patch,
  +tomcat-5.5.22_pre.ebuild:
  Bumped 5.5 to latest development release

*tomcat-6.0.10_pre (13 Feb 2007)

  13 Feb 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  +tomcat-6.0.10_pre.ebuild:
  Bumped package to latest development release

  09 Feb 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.20-r10.ebuild, tomcat-6.0.9_beta.ebuild:
  Updated split ant deps

*tomcat-6.0.9_beta (08 Feb 2007)

  08 Feb 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-6.0.7_beta-r6.ebuild, -tomcat-6.0.8_alpha-r3.ebuild,
  -tomcat-6.0.9_alpha.ebuild, +tomcat-6.0.9_beta.ebuild:
  Bump to latest beta, removed older versions

  04 Feb 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.0.28-r14.ebuild, tomcat-5.5.20-r8.ebuild,
  tomcat-5.5.20-r10.ebuild, tomcat-6.0.7_beta-r6.ebuild,
  tomcat-6.0.8_alpha-r3.ebuild, tomcat-6.0.9_alpha.ebuild:
  Updated package description

  03 Feb 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -files/5.0.27/gentoo.diff, -files/5.0.27/tomcat.conf,
  -files/5.0.27/jikes.diff, -files/5.0.27/tomcat.env,
  -files/5.0.27/tomcat.init, -tomcat-5.0.27-r6.ebuild,
  -tomcat-5.5.20-r7.ebuild:
  Removed old versions of package

  03 Feb 2007; Steve Dibb <beandog@gentoo.org> tomcat-5.5.20-r8.ebuild:
  amd64 stable, bug 163982

*tomcat-6.0.9_alpha (02 Feb 2007)

  02 Feb 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  +tomcat-6.0.9_alpha.ebuild:
  -m Bumped package to latest alpha

  31 Jan 2007; Vlastimil Babka <caster@gentoo.org>
  tomcat-6.0.7_beta-r6.ebuild, tomcat-6.0.8_alpha-r3.ebuild:
  Fix tomcat-servlet-api deps for bug #164557.

  30 Jan 2007; Christian Faulhammer <opfer@gentoo.org>
  tomcat-5.5.20-r8.ebuild:
  stable x86; bug #163982

*tomcat-6.0.8_alpha-r3 (28 Jan 2007)
*tomcat-6.0.7_beta-r6 (28 Jan 2007)

  28 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  files/6/build-xml.patch, -tomcat-6.0.7_beta-r5.ebuild,
  +tomcat-6.0.7_beta-r6.ebuild, -tomcat-6.0.8_alpha-r2.ebuild,
  +tomcat-6.0.8_alpha-r3.ebuild:
  Fixed issue with examples not being compiled and/or complete. Thanks to
  nostromo who provided some help there. Updated patch for examples
  compilation and to make docs compilation depend on doc USE flag. A few other
  syntax and policy corrections

*tomcat-6.0.8_alpha-r2 (28 Jan 2007)
*tomcat-6.0.7_beta-r5 (28 Jan 2007)
*tomcat-5.5.20-r10 (28 Jan 2007)

  28 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  files/5.5.20/tomcat.init, files/6/tomcat.init, -tomcat-5.5.20-r9.ebuild,
  +tomcat-5.5.20-r10.ebuild, -tomcat-6.0.7_beta-r4.ebuild,
  +tomcat-6.0.7_beta-r5.ebuild, -tomcat-6.0.8_alpha-r1.ebuild,
  +tomcat-6.0.8_alpha-r2.ebuild:
  Updated init script to capture std out per bug# 162379

*tomcat-5.5.20-r9 (27 Jan 2007)

  27 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  +files/5.5.20/jsr154_examples_build-xml.patch,
  +files/5.5.20/tomcat_build-xml.patch,
  +files/5.5.20/jsr152_examples_build-xml.patch, +tomcat-5.5.20-r9.ebuild,
  tomcat-6.0.7_beta-r4.ebuild, tomcat-6.0.8_alpha-r1.ebuild:
  Finally stopped building jsp/servlet-api.jars despite not using them after
  being built. Updated compilation of examples to use system
  jsp/servlet-api.jars. Switched from soon to be deprecated servletapi to
  tomcat-servlet-api. Dropped dep on ant in 6.0.x in order to use new split
  ant.

*tomcat-6.0.8_alpha-r1 (26 Jan 2007)
*tomcat-6.0.7_beta-r4 (26 Jan 2007)

  26 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  files/6/build-xml.patch, -tomcat-6.0.7_beta-r3.ebuild,
  +tomcat-6.0.7_beta-r4.ebuild, -tomcat-6.0.8_alpha.ebuild,
  +tomcat-6.0.8_alpha-r1.ebuild:
  Updating 6.0.x to dep on tomcat-servlet-api. Modified patch to no longer
  build or install servletapi from tomcat package. Dropped force of ecj
  compiler for now, added commented out code to deal with oom/heap issues if
  they pop up again. Synced ebuilds and backported ~ppc keyword.

  26 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-6.0.8_alpha.ebuild:
  Added ~ppc per user request

  26 Jan 2007; Vlastimil Babka <caster@gentoo.org> tomcat-5.5.20-r7.ebuild,
  tomcat-5.5.20-r8.ebuild:
  Make compatible with split-ant - was breaking with admin flag because there
  was a different servletapi slot on ant's classpath without specifying only
  the needed tasks. Older ant versions are not affected by this change.

*tomcat-6.0.8_alpha (20 Jan 2007)
*tomcat-6.0.7_beta-r3 (20 Jan 2007)

  20 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-6.0.7_beta-r2.ebuild, +tomcat-6.0.7_beta-r3.ebuild,
  +tomcat-6.0.8_alpha.ebuild:
  Bumped 6 to latest alpha, and dropped jni use flag. Due to it pulling in dep
  when USE flag is set, but dep still being installed when USE flag is unset.

*tomcat-6.0.7_beta-r2 (10 Jan 2007)
*tomcat-5.5.20-r8 (10 Jan 2007)

  10 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  files/5.5.20/tomcat.init, files/6/tomcat.init, -tomcat-5.5.20-r6.ebuild,
  tomcat-5.5.20-r7.ebuild, +tomcat-5.5.20-r8.ebuild,
  -tomcat-6.0.7_beta-r1.ebuild, +tomcat-6.0.7_beta-r2.ebuild:
  Updated 5.5.20 and 6.0.7 init scripts, again :( previous version was borked.
  Trying to capture std out, which seems to be going no where atm.

*tomcat-6.0.7_beta-r1 (10 Jan 2007)
*tomcat-5.5.20-r7 (10 Jan 2007)

  10 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  files/5.5.20/tomcat.init, files/6/tomcat.init, -tomcat-5.5.20-r5.ebuild,
  tomcat-5.5.20-r6.ebuild, +tomcat-5.5.20-r7.ebuild,
  -tomcat-6.0.7_beta.ebuild, +tomcat-6.0.7_beta-r1.ebuild:
  Updated 5.5.20 and 6.0.7 init scripts

*tomcat-6.0.7_beta (10 Jan 2007)

  10 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-6.0.7_alpha-r3.ebuild, +tomcat-6.0.7_beta.ebuild:
  Bumped 6.0.7 to beta from alpha

  09 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  tomcat-6.0.7_alpha-r3.ebuild:
  Add ~x86-fbsd keyword.

  09 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.0.27-r6.ebuild, tomcat-5.0.28-r14.ebuild,
  tomcat-5.5.20-r5.ebuild, tomcat-5.5.20-r6.ebuild,
  tomcat-6.0.7_alpha-r3.ebuild:
  Updated einfo -> elog

*tomcat-6.0.7_alpha-r3 (05 Jan 2007)

  05 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-6.0.7_alpha-r2.ebuild, +tomcat-6.0.7_alpha-r3.ebuild:
  Change functionality of jni use flag from compiling/installing to dep on a
  package that does both, tomcat-native :)

*tomcat-6.0.7_alpha-r2 (01 Jan 2007)

  01 Jan 2007; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-6.0.7_alpha-r1.ebuild, +tomcat-6.0.7_alpha-r2.ebuild:
  Got the native stuff compilling and installed. Not sure about runtime. I
  can't load it. Basically jni USE flag works now :)

*tomcat-6.0.7_alpha-r1 (31 Dec 2006)

  31 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-6.0.7_alpha.ebuild, +tomcat-6.0.7_alpha-r1.ebuild:
  Address bin/*.sh stuff not having execute bit set. Possibly upstream
  bug/problem.

*tomcat-5.5.20-r6 (30 Dec 2006)

  30 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-5.5.20-r4.ebuild, tomcat-5.5.20-r5.ebuild,
  +tomcat-5.5.20-r6.ebuild:
  Modified 5.5.20 ebuilds to respect symlink and not copy the jars per bug
  #159169.

  27 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.20-r5.ebuild, tomcat-6.0.7_alpha.ebuild:
  Updated virtuals for 1.6

  27 Dec 2006; Timothy Redaelli <drizzt@gentoo.org> tomcat-5.5.20-r5.ebuild:
  Readded ~x86-fbsd keyword.

*tomcat-6.0.7_alpha (27 Dec 2006)

  27 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.20-r4.ebuild, tomcat-5.5.20-r5.ebuild, -tomcat-6.0.6.ebuild,
  +tomcat-6.0.7_alpha.ebuild:
  Bumped 6.0 to latest alpha. Fixed home page link on 5.5 ebuilds. Dropped
  ~x86-fbsd keyword from 5.5.20-r5 due to dev-java/commons-httpclient-2.0 not
  being keyworded for that arch.

  26 Dec 2006; Petteri Räty <betelgeuse@gentoo.org>
  tomcat-5.5.20-r4.ebuild, tomcat-5.5.20-r5.ebuild:
  Changed dev-java/commons-httpclient dependency to only match one slot.

  22 Dec 2006; Petteri Räty <betelgeuse@gentoo.org>
  tomcat-5.5.20-r5.ebuild:
  Depend on >=dev-java/java-config-2.0.31 and let it handle the java5 use flag
  properly.

  22 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.20-r4.ebuild, tomcat-5.5.20-r5.ebuild:
  Added ~amd64 keyword to 5.5.20-r5. Dropped * from 1.5 virtuals

*tomcat-6.0.6 (18 Dec 2006)

  18 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-6.0.4.ebuild, +tomcat-6.0.6.ebuild:
  Bumped Tomcat 6.x to latest alpha

  13 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.0.28-r14.ebuild, tomcat-5.5.20-r4.ebuild,
  tomcat-5.5.20-r5.ebuild:
  Removed unused TOMCAT_HOME variable from 5.0.28 and 5.5.x ebuilds. Also
  corrected a typo in 5.5.x, all per comments on bug #157956

*tomcat-5.5.20-r5 (11 Dec 2006)
*tomcat-5.5.20-r4 (11 Dec 2006)

  11 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-5.5.20-r2.ebuild, -tomcat-5.5.20-r3.ebuild,
  +tomcat-5.5.20-r4.ebuild, +tomcat-5.5.20-r5.ebuild:
  Fixed issue with newer commons-fileupload depending on commons-io, and
  commons-io was not linked into Tomcat before breaking manager app war
  upload/deployment. Also fixed location where commons-fileupload is linked.
  But doing that pre-compile and might need to post install, since commons-io
  is being linked into server/lib as well as proper location.

  09 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  tomcat-5.5.20-r3.ebuild:
  Add ~x86-fbsd keyword.

*tomcat-5.5.20-r3 (08 Dec 2006)

  08 Dec 2006; Petteri Räty <betelgeuse@gentoo.org>
  +tomcat-5.5.20-r3.ebuild:
  Using new splitted mx4j-core to reduce the dependencies when the java5 use
  flag is off. Dropped amd64 keywords because mx4j-core is not keyworded yet.

*tomcat-6.0.4 (08 Dec 2006)

  08 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  -files/5.5.17/catalinabuild-xml.patch,
  -files/5.5.17/jsr152build-xml-examples.patch,
  -files/5.5.17/mainbuild-xml.patch, -files/5.5.17/tomcatbuild-xml.patch,
  -files/5.5.17/jasperbuild-xml.patch,
  -files/5.5.17/jsr154build-xml-examples.patch, -files/5.5.17/tomcat.conf,
  -files/5.5.17/tomcat.env, -files/5.5.17/tomcat.init,
  -files/5.5.17/tomcatbuild-xml-docs.patch,
  -files/5.5.17/tomcatbuild-xml-examples.patch,
  -files/6.0.2/build-xml.patch, -files/6.0.2/tomcat.conf,
  -files/6.0.2/tomcat.init, +files/6/build-xml.patch, +files/6/tomcat.conf,
  +files/6/tomcat.init, -tomcat-6.0.2.ebuild, +tomcat-6.0.4.ebuild:
  Rev bumped 6.0.x ebuild, consolidated files for the slot instead of per
  version. Removed obsolete 5.5.17 files.

  07 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.20-r2.ebuild:
  Removed false dep on jaxen from 5.5.20.

  06 Dec 2006; Petteri Räty <betelgeuse@gentoo.org>
  tomcat-5.5.20-r2.ebuild:
  It's java-pkg_filter-compiler not java-pkg_filter.

  05 Dec 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.0.28-r14.ebuild, tomcat-5.5.20-r2.ebuild, tomcat-6.0.2.ebuild:
  Adding -ppc -pp64 to all 5.5 and 6.0 ebuilds due to missing sun.ssl.* stuff
  in IBM jdks. Added code to filter ecj on 5.5 ebuild. Cleaned up 6.0.2 ebuild
  a bit.

  30 Nov 2006; Vlastimil Babka <caster@gentoo.org> tomcat-5.0.28-r14.ebuild:
  Update xerces dep for upcoming 2.6 slotmove.

  28 Nov 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.0.27-r6.ebuild, -tomcat-5.5.17-r7.ebuild:
  Removed older ebuilds, dropped ~amd64 and x86 keywords from 5.0.27. Since
  that version is only being kept atm for ppc/ppc64. Despite it being binary,
  having bundled deps, and lots of bugs.

  28 Nov 2006; Joshua Nichols <nichoj@gentoo.org> tomcat-5.5.20-r2.ebuild:
  Stabilized on amd64 (see bug #155622).

  23 Nov 2006; Christian Faulhammer <opfer@gentoo.org>
  tomcat-5.5.20-r2.ebuild:
  stable x86, bug #155622

*tomcat-6.0.2 (20 Nov 2006)

  20 Nov 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  +files/6.0.2/build-xml.patch, +files/6.0.2/tomcat.conf,
  +files/6.0.2/tomcat.init, +tomcat-6.0.2.ebuild:
  Initial ebuild for Tomcat 6.0.2 alpha, despite sources/ebuild not named as
  such. Compiles, runs and should be some what useable. Although will be
  package masked, since it's alpha sources. jni USE flag should not be used,
  still working on that part, help there appreciated

  04 Nov 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  -tomcat-5.5.20.ebuild, -tomcat-5.5.20-r1.ebuild:
  Ebuild cleanup, removed older revisions

  18 Oct 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.20-r2.ebuild:
  Fixed problem with ant calling targets that don't exist, like javadoc.

*tomcat-5.5.20-r2 (18 Oct 2006)

  18 Oct 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  -files/5.5.20/tomcat.env, files/5.5.20/tomcatbuild-xml.patch,
  -files/5.5.20/tomcatbuild-xml-docs.patch,
  -files/5.5.20/tomcatbuild-xml-examples.patch, +tomcat-5.5.20-r2.ebuild:
  Created new patch re-writing some existing and adding a few new, ant targets
  for admin/example webapps. Should resolve bug #150715

  14 Oct 2006; Joshua Nichols <nichoj@gentoo.org> tomcat-5.0.28-r14.ebuild:
  Added call to java-pkg_pkg_setup, for bug #142708

  05 Oct 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  tomcat-5.0.27-r6.ebuild:
  Dropping sparc keywords, see #96229

  28 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org> Manifest:
  Redigested, ew

*tomcat-5.5.20 (28 Sep 2006)

  28 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  +files/5.5.20/catalinabuild-xml.patch,
  +files/5.5.20/jasperbuild-xml.patch,
  +files/5.5.20/jsr152build-xml-examples.patch,
  +files/5.5.20/jsr154build-xml-examples.patch,
  +files/5.5.20/mainbuild-xml.patch, +files/5.5.20/tomcat.conf,
  +files/5.5.20/tomcat.env, +files/5.5.20/tomcat.init,
  +files/5.5.20/tomcatbuild-xml.patch,
  +files/5.5.20/tomcatbuild-xml-docs.patch,
  +files/5.5.20/tomcatbuild-xml-examples.patch, +tomcat-5.5.20.ebuild:
  New 0 day ebuild for Tomcat 5.5.20. Introduce admin use flag that will
  control the struts dep and if the admin webapp will be present.

  27 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.17-r7.ebuild:
  Corrected invalid atom =dev-java/sun-jaf per bug # 149317. Also corrected
  the package xml-apis.jar comes from. Was changed to xml-commons-external-1.3
  but was mistakenly changed back when updating the ebuild for java5 use flag
  and 1.5 jdks

  26 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.17-r7.ebuild:
  Changed sun-jaf-1 to sun-jaf since it's slotted 0 not 1

  26 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  tomcat-5.5.17-r7.ebuild:
  Forgot to apply sun-javamail-bin -> sun-javamail and gnu-jaf -> sun-jaf
  changes with jars passed to ant

*tomcat-5.5.17-r7 (26 Sep 2006)

  26 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  files/5.5.17/tomcat.init, +tomcat-5.5.17-r7.ebuild:
  Fixed error recently created in Tomcat 5.5.17 init script with omission of
  /conf after ${CATALINA_BASE} for conf files. ooops! Also switched deps from
  sun-javamail-bin to sun-javamail, and from gnu-jaf to sun-jaf

  23 Sep 2006; Bryan Østergaard <kloeri@gentoo.org>
  tomcat-5.0.27-r6.ebuild:
  Remove ~alpha keyword.

*tomcat-5.0.28-r14 (20 Sep 2006)

  20 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  files/5.0.28/tomcat.init, -tomcat-5.0.28-r12.ebuild,
  -tomcat-5.0.28-r13.ebuild, +tomcat-5.0.28-r14.ebuild:
  Synced recent modifications of 5.5.17 init script with 5.0.28. Removed older
  5.0.28 ebuilds

*tomcat-5.5.17-r6 (20 Sep 2006)

  20 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  files/5.5.17/tomcat.init, -tomcat-5.5.17-r4.ebuild,
  -tomcat-5.5.17-r5.ebuild, +tomcat-5.5.17-r6.ebuild:
  Fixed init script to set ${CATALINA_TMPDIR} per bug #148387

*tomcat-5.5.17-r5 (20 Sep 2006)

  20 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org>
  files/5.5.17/tomcat.init, -tomcat-5.5.17-r3.ebuild,
  +tomcat-5.5.17-r5.ebuild:
  Fixed init script to respect ${CATALINA_BASE} per bug # 148331. Removed older ebuild

*tomcat-5.5.17-r4 (09 Sep 2006)
*tomcat-5.0.28-r13 (09 Sep 2006)

  09 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org> files/5.0.28/tomcat.conf,
  files/5.0.28/tomcat.init, +tomcat-5.0.28-r13.ebuild,
  -tomcat-5.5.17-r1.ebuild, -tomcat-5.5.17-r2.ebuild,
  +tomcat-5.5.17-r4.ebuild:
  Removed eant || die from ebuilds. Sync 5.0.28 ebuild with one in overlay
  that is more current. Removed older versions of 5.5.17 ebuild.

  09 Sep 2006; Petteri Räty <betelgeuse@gentoo.org>
  tomcat-5.5.17-r3.ebuild:
  Fixed Tomcat to compile with JAVA_PKG_STRICT.

*tomcat-5.5.17-r3 (05 Sep 2006)

  05 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org> +tomcat-5.5.17-r3.ebuild:
  Added back struts stuff that was lost when applying a 1.5 patch

  04 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org> tomcat-5.5.17-r2.ebuild:
  Take two on ebuild fix

  04 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org> ChangeLog:
  Manifest did not get committed

  04 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org> tomcat-5.5.17-r2.ebuild:
  Fixed problem with newest Tomcat ebuild. When java5 USE flag was in use it
  would mess up creation of directories. One of which contains many symlinks
  needed during compile. No revision buump, since it's fixing a broken
  revision bump previously committed.

  04 Sep 2006; William L. Thomson Jr. <wltjr@gentoo.org> metadata.xml:
  Updated metadata.xml to reflect new maintainer, me :)

*tomcat-5.5.17-r1 (07 Jul 2006)

  07 Jul 2006; Joshua Nichols <jnichols@gentoo.org>
  files/5.5.17/tomcat.init, -tomcat-5.5.17.ebuild, +tomcat-5.5.17-r1.ebuild:
  Removed commons-logging.jar from init.d script, which can cause problems
  with logging. Only commons-logging-api.jar is needed.

  03 Jul 2006; Joshua Nichols <nichoj@gentoo.org>
  +files/5.5.17/catalinabuild-xml.patch,
  +files/5.5.17/jasperbuild-xml.patch, +files/5.5.17/mainbuild-xml.patch,
  +files/5.5.17/tomcat.conf, +files/5.5.17/tomcat.env,
  +files/5.5.17/tomcat.init, +files/5.5.17/tomcatbuild-xml.patch:
  Version bump.

  27 Apr 2006; Alec Warner <antarus@gentoo.org>
  files/digest-tomcat-5.0.27-r6, files/digest-tomcat-5.0.28-r12, Manifest:
  Fixing SHA256 digest, pass four

  11 Mar 2006; Petteri Räty <betelgeuse@gentoo.org>
  tomcat-5.0.28-r12.ebuild:
  Moved enewgroup and enewuser calls to pkg_setup from src_install for bug
  #124680.

  11 Mar 2006; Petteri Räty <betelgeuse@gentoo.org>
  tomcat-5.0.27-r6.ebuild, -tomcat-5.0.28-r9.ebuild,
  -tomcat-5.0.28-r10.ebuild, tomcat-5.0.28-r12.ebuild:
  Changed SRC_URI to reflect changes upstream. Fixes bug #124237. Thanks to
  Beech Horn <beech@metalshark.co.uk> for reporting. Also removed old
  revisions.

  30 Dec 2005; Petteri Räty <betelgeuse@gentoo.org>
  tomcat-5.0.27-r6.ebuild, tomcat-5.0.28-r9.ebuild,
  tomcat-5.0.28-r10.ebuild, tomcat-5.0.28-r12.ebuild:
  The Tomcat homepage is now http://tomcat.apache.org/ .

*tomcat-5.0.28-r12 (14 Dec 2005)

  14 Dec 2005; Petteri Räty <betelgeuse@gentoo.org>
  -tomcat-5.0.28-r11.ebuild, +tomcat-5.0.28-r12.ebuild:
  Tomcat needs a newer xml-apis.jar from xml-commons-external to work instead
  of the older version found in xml-commons.

*tomcat-5.0.28-r11 (06 Dec 2005)

  06 Dec 2005; Petteri Räty <betelgeuse@gentoo.org>
  +files/5.0.28/setclasspath.patch, -tomcat-5.0.28-r8.ebuild,
  +tomcat-5.0.28-r11.ebuild:
  Fixed bug #112530 so users should now be able to set a custom CLASSPATH in
  /etc/conf.d/tomcat-5. Also changed tomcat to use xml-apis from xml-commons
  instead of xerces because the jar in xerces is a packed one.

*tomcat-5.0.28-r10 (14 Nov 2005)

  14 Nov 2005; Petteri Räty <betelgeuse@gentoo.org>
  files/5.0.28/tomcat.conf-r1, files/5.0.28/tomcat.init,
  +tomcat-5.0.28-r10.ebuild:
  New revision with support for changing the home directory of the tomcat user
  with emerge --config. Fixes bug #109079. Also the init script now creates a
  pidfile.

*tomcat-5.0.28-r9 (17 Oct 2005)

  17 Oct 2005; Petteri Räty <betelgeuse@gentoo.org>
  +tomcat-5.0.28-r9.ebuild:
  Fixed installation of default ${CATALINA_BASE}/shared/ reported in bug #106906.

*tomcat-5.0.28-r8 (15 Oct 2005)

  15 Oct 2005; Thomas Matthijs <axxo@gentoo.org> tomcat-5.0.27-r6.ebuild,
  -tomcat-5.0.28-r4.ebuild, -tomcat-5.0.28-r6.ebuild,
  -tomcat-5.0.28-r7.ebuild, +tomcat-5.0.28-r8.ebuild:
  move dev-java/jmx dev-java/sun-jmx

*tomcat-5.0.28-r7 (22 Sep 2005)

  22 Sep 2005; Petteri Räty <betelgeuse@gentoo.org>
  files/5.0.28/tomcat.init, +tomcat-5.0.28-r7.ebuild:
  Added --background to stop too in the init script. Also fixed some
  permissions and cleaned directory creation code.

*tomcat-5.0.28-r6 (20 Sep 2005)

  20 Sep 2005; Petteri Räty <betelgeuse@gentoo.org>
  files/5.0.28/tomcat.init, tomcat-5.0.28-r4.ebuild,
  -tomcat-5.0.28-r5.ebuild, +tomcat-5.0.28-r6.ebuild:
  Struts is now slotted so fixed the dependencies. In the latest revision
  fixed bug #99704. Thanks to David Owen <fugue88@hotmail.com> for reporting.
  Also startup problems from bug #103925 should now be fixed.

*tomcat-5.0.28-r5 (14 Sep 2005)

  14 Sep 2005; Gustavo Felisberto <humpback@gentoo.org>;
  +files/5.0.28/log4j.properties, files/5.0.28/tomcat.conf,
  +tomcat-5.0.28-r5.ebuild:
  Added a proper log4j properties file, changed the ebuild to install the
  log4j file. This is all related to bugs #103925 and #88002

  26 Aug 2005; Diego Pettenò <flameeyes@gentoo.org>
  tomcat-5.0.28-r4.ebuild:
  Don't use root group as it doesn't exists on BSD-like userlands.

  25 May 2005; Jan Brinkmann <luckyduck@gentoo.org> tomcat-5.0.28-r4.ebuild:
  permission issue fixed, see #93778

  20 May 2005; Jan Brinkmann <luckyduck@gentoo.org> tomcat-5.0.28-r4.ebuild:
  fixed problems with first time installation, see #93322

  17 May 2005; Jan Brinkmann <luckyduck@gentoo.org> tomcat-5.0.28-r4.ebuild:
  further fixes & cleanups / improvements, thanks axxo :-)

*tomcat-5.0.28-r4 (17 May 2005)

  17 May 2005; Jan Brinkmann <luckyduck@gentoo.org>
  -tomcat-5.0.28-r3.ebuild, +tomcat-5.0.28-r4.ebuild:
  revision bump, indicate the changes

  17 May 2005; Jan Brinkmann <luckyduck@gentoo.org> tomcat-5.0.28-r3.ebuild:
  permission changes

*tomcat-5.0.27-r6 (15 May 2005)

  15 May 2005; Jan Brinkmann <luckyduck@gentoo.org>
  -tomcat-5.0.27-r5.ebuild, +tomcat-5.0.27-r6.ebuild,
  tomcat-5.0.28-r3.ebuild:
  fixed problem with userpriv, see #92663. default shutdown password now gets
  replaced with a random one, see #92281

*tomcat-5.0.28-r3 (14 May 2005)

  14 May 2005; Jan Brinkmann <luckyduck@gentoo.org>
  -tomcat-5.0.28-r2.ebuild, +tomcat-5.0.28-r3.ebuild:
  updated commons-beanutils dependency to reflect new slotting. see #71952

  07 May 2005; Jason Wever <weeve@gentoo.org> tomcat-5.0.28-r2.ebuild:
  Added ~sparc keyword.

*tomcat-5.0.27-r5 (13 Apr 2005)

  13 Apr 2005; Jan Brinkmann <luckyduck@gentoo.org> -tomcat-5.0.27-r4.ebuild,
  +tomcat-5.0.27-r5.ebuild:
  now the old ebuild also makes use of newenvd, fixes #79625

  09 Apr 2005; Markus Rothe <corsair@gentoo.org> tomcat-5.0.28-r2.ebuild:
  This version doesn't build on ppc64 (added -ppc64 to KEYWORDS)

  04 Apr 2005; Thomas Matthijs <axxo@gentoo.org> tomcat-5.0.28-r2.ebuild:
  change dep to reflect commons-httpclient slotting

  28 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org> files/5.0.28/tomcat.init,
  tomcat-5.0.28-r2.ebuild:
  introduced support for the examples useflag, also modified the init script to
  fix #86905

  27 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org> tomcat-5.0.28-r2.ebuild:
  moved from dev-java/regexp to dev-java/jakarta-regexp dependency. see #71336

  22 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org> -tomcat-5.0.28-r1.ebuild,
  tomcat-5.0.28-r2.ebuild, -tomcat-5.0.28.ebuild:
  removed a packed struts.jar. generall cleanup, removed old versions.

  20 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org> -files/3.3.2/gentoo.diff,
  -files/3.3.2/tomcat.conf, -files/3.3.2/tomcat.init,
  -files/4.1.30/gentoo.diff, -files/4.1.30/jikes.diff,
  -files/4.1.30/tomcat.conf, -files/4.1.30/tomcat.init,
  -tomcat-3.3.2-r2.ebuild, -tomcat-4.1.30-r5.ebuild:
  cleanup, removed old vulnerable versions. see #85383

*tomcat-5.0.28-r2 (19 Mar 2005)

  19 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org> +tomcat-5.0.28-r2.ebuild:
  version bump to indicate the changes i recently did.

  19 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org> tomcat-5.0.27-r4.ebuild,
  tomcat-5.0.28-r1.ebuild:
  now normal users can access all jars of tomcat-5.0.28-r1 via java-config -p.
  also fixed #83113, dos related files are not getting installed any longer.

*tomcat-5.0.28-r1 (07 Mar 2005)

  07 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org> +tomcat-5.0.28-r1.ebuild:
  revision bump to indicate the log4j addition to the classpath, all users with
  tomcat 5.0.28 should update to 5.0.28-r1

  06 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org>
  files/5.0.28/scripts.patch:
  added log4j to classpath in catalina.sh, fixes #84206. thanks to Santiago Gala
  <sgala@apache.org> for the report and the fix.

  13 Feb 2005; Jan Brinkmann <luckyduck@gentoo.org>
  files/5.0.28/build.xml-02.patch, files/5.0.28/gentoo.diff,
  +files/5.0.28/scripts.patch, files/5.0.28/tomcat.conf,
  files/5.0.28/tomcat.env, files/5.0.28/tomcat.init, tomcat-5.0.28.ebuild:
  tomcat now builds from source and installs jar files using dojar, also removed
  a packed jars issue. fixes #18352

  09 Feb 2005; Jan Brinkmann <luckyduck@gentoo.org> +files/5.0.27/tomcat.env,
  +files/5.0.28/tomcat.env, tomcat-5.0.27-r4.ebuild, tomcat-5.0.28.ebuild:
  added env.d file for tomcat to export CATALINA_HOME. fixes #79625

  08 Feb 2005; Jan Brinkmann <luckyduck@gentoo.org> metadata.xml:
  updated maintainer informations.

  18 Dec 2004; Karl Trygve Kalleberg <karltk@gentoo.org> tomcat-5.0.28.ebuild:
  Fixes #74858 thanks to Petteri Räty <petteri.raty@welho.com>

  17 Nov 2004; Markus Rothe <corsair@gentoo.org> tomcat-5.0.27-r4.ebuild,
  tomcat-5.0.28.ebuild:
  marked ~ppc64; bug #55690

  17 Oct 2004; Thomas Matthijs <axxo@gentoo.org> files/5.0.28/jikes.diff:
  fix path in jikes patch, #67847

*tomcat-5.0.28 (09 Oct 2004)

  09 Oct 2004; Thomas Matthijs <axxo@gentoo.org>
  +files/5.0.28/build.xml-01.patch, +files/5.0.28/build.xml-02.patch,
  +files/5.0.28/gentoo.diff, +files/5.0.28/jikes.diff,
  +files/5.0.28/tomcat.conf, +files/5.0.28/tomcat.init,
  +tomcat-5.0.28.ebuild:
  Version bump + now builds from source, Thanks too Mark Wolfe
  <mwolfe@netspace.net.au> for his work on this. #18352

  08 Oct 2004; Thomas Matthijs <axxo@gentoo.org> files/3.3.2/tomcat.init,
  files/4.1.30/tomcat.init, files/5.0.27/tomcat.init:
  use net instead of need net in init.d script

  08 Sep 2004; Danny van Dyk <kugelfang@gentoo.org> tomcat-4.1.30-r5.ebuild:
  Marked ~amd64.

  05 Sep 2004; Sven Wegener <swegener@gentoo.org> :
  Fixed ChangeLog header.

  03 Sep 2004; Thomas Matthijs <axxo@gentoo.org> tomcat-3.3.2-r2.ebuild,
  -tomcat-4.1.30-r4.ebuild, tomcat-4.1.30-r5.ebuild, -tomcat-5.0.27-r3.ebuild:
  remove broken + keyword x86

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  tomcat-3.3.2-r2.ebuild, tomcat-4.1.30-r4.ebuild, tomcat-4.1.30-r5.ebuild,
  tomcat-5.0.27-r3.ebuild:
  Masked stable for ppc

  01 Sep 2004; Thomas Matthijs <axxo@gentoo.org> tomcat-4.1.30-r5.ebuild,
  tomcat-5.0.27-r4.ebuild:
  keepdir work,temp so they are not removed when upgrading, bug 62468

*tomcat-5.0.27-r4 (26 Aug 2004)

  26 Aug 2004; Thomas Matthijs <axxo@gentoo.org> files/4.1.30/tomcat.init,
  files/5.0.27/tomcat.init, +tomcat-4.1.30-r5.ebuild,
  +tomcat-5.0.27-r4.ebuild:
  escape params in init script, bug 61822

*tomcat-4.1.30-r4 (08 Aug 2004)

  08 Aug 2004; Stuart Herbert <stuart@gentoo.org> +metadata.xml,
  +files/3.3.2/gentoo.diff, +files/3.3.2/tomcat.conf,
  +files/3.3.2/tomcat.init, +files/4.1.30/gentoo.diff,
  +files/4.1.30/jikes.diff, +files/4.1.30/tomcat.conf,
  +files/4.1.30/tomcat.init, +files/5.0.27/gentoo.diff,
  +files/5.0.27/jikes.diff, +files/5.0.27/tomcat.conf,
  +files/5.0.27/tomcat.init, +tomcat-3.3.2-r2.ebuild,
  +tomcat-4.1.30-r4.ebuild, +tomcat-5.0.27-r3.ebuild:
  Moved from net-www/tomcat to www-servers/tomcat.

*tomcat-4.1.30-r4 (06 Aug 2004)

  06 Aug 2004; Thomas Matthijs <axxo@gentoo.org> tomcat-3.3.2-r2.ebuild,
  tomcat-4.1.30-r4.ebuild, tomcat-5.0.27-r3.ebuild:
  fix doc chown

*tomcat-5.0.27-r3 (06 Aug 2004)

  06 Aug 2004; Thomas Matthijs <axxo@gentoo.org> tomcat-5.0.27-r3.ebuild:
  ~amd64

  06 Aug 2004; Thomas Matthijs <axxo@gentoo.org> -files/3.3.2/21tomcat,
  -files/4.1.30/21tomcat, -files/5.0.27/21tomcat, -tomcat-3.3.2-r1.ebuild,
  -tomcat-3.3.2.ebuild, -tomcat-4.1.30-r2.ebuild, -tomcat-4.1.30-r3.ebuild,
  -tomcat-5.0.27-r1.ebuild, -tomcat-5.0.27-r2.ebuild:
  fix premissions (again sorry), should fix 59232 && 58616

*tomcat-3.3.2-r1 (03 Aug 2004)

  03 Aug 2004; Thomas Matthijs <axxo@gentoo.org> +tomcat-3.3.2-r1.ebuild,
  +tomcat-4.1.30-r3.ebuild, +tomcat-5.0.27-r2.ebuild:
  fix premissions

  30 Jul 2004; Thomas Matthijs <axxo@gentoo.org> -tomcat-4.1.30-r1.ebuild,
  -tomcat-4.1.30.ebuild, -tomcat-5.0.27.ebuild:
  cleanup

*tomcat-4.1.30-r2 (30 Jul 2004)

  30 Jul 2004; Thomas Matthijs <axxo@gentoo.org> files/4.1.30/gentoo.diff,
  +tomcat-4.1.30-r2.ebuild:
  fix patch to source the correct file, 58835

*tomcat-5.0.27-r1 (29 Jul 2004)

  29 Jul 2004; Thomas Matthijs <axxo@gentoo.org> +tomcat-4.1.30-r1.ebuild,
  +tomcat-5.0.27-r1.ebuild:
  revision bump to force updating, peaple that upgraded from 5.0.18 will
  otherwise have problems

  29 Jul 2004; Thomas Matthijs <axxo@gentoo.org> files/4.1.30/gentoo.diff,
  +files/4.1.30/jikes.diff, files/4.1.30/tomcat.conf,
  files/5.0.27/gentoo.diff, +files/5.0.27/jikes.diff,
  files/5.0.27/tomcat.conf, tomcat-4.1.30.ebuild, tomcat-5.0.27.ebuild:
  added jikes use flag, enabling it will configure tomcat to use jikes

  28 Jul 2004; Thomas Matthijs <axxo@gentoo.org> files/4.1.30/gentoo.diff,
  files/4.1.30/tomcat.conf, files/5.0.27/gentoo.diff,
  files/5.0.27/tomcat.conf, tomcat-4.1.30.ebuild, tomcat-5.0.27.ebuild:
  added commented config defaults to use jikes compile,added doc use flag,
  closes 58670

  28 Jul 2004; Thomas Matthijs <axxo@gentoo.org> files/3.3.2/tomcat.init,
  files/4.1.30/tomcat.init, files/5.0.27/tomcat.init, tomcat-3.3.2.ebuild,
  tomcat-4.1.30.ebuild, tomcat-5.0.27.ebuild:
  changed init scripts, changed default shell/homedir for tomcat user, added
  warning about the new init scripts

*tomcat-5.0.27 (27 Jul 2004)

  27 Jul 2004; Thomas Matthijs <axxo@gentoo.org> metadata.xml,
  +files/3.3.2/21tomcat, +files/3.3.2/gentoo.diff, +files/3.3.2/tomcat.conf,
  +files/3.3.2/tomcat.init, -files/4.1.29/21tomcat, -files/4.1.29/gentoo.diff,
  -files/4.1.29/tomcat.conf, -files/4.1.29/tomcat.init,
  +files/4.1.30/21tomcat, +files/4.1.30/gentoo.diff,
  +files/4.1.30/tomcat.conf, +files/4.1.30/tomcat.init,
  -files/5.0.18/21tomcat, -files/5.0.18/gentoo.diff, -files/5.0.18/jikes.diff,
  -files/5.0.18/tomcat.conf, -files/5.0.18/tomcat.init,
  -files/5.0.25/21tomcat, -files/5.0.25/gentoo.diff,
  -files/5.0.25/tomcat.conf, -files/5.0.25/tomcat.init,
  +files/5.0.27/21tomcat, +files/5.0.27/gentoo.diff,
  +files/5.0.27/tomcat.conf, +files/5.0.27/tomcat.init, +tomcat-3.3.2.ebuild,
  -tomcat-4.1.29.ebuild, +tomcat-4.1.30.ebuild, -tomcat-5.0.18.ebuild,
  -tomcat-5.0.25.ebuild, +tomcat-5.0.27.ebuild:
  a whole bunch of new ebuilds, slot'ed, they should all work next to eatch
  other (don't forget to change the ports)

  25 Jun 2004; Aron Griffis <agriffis@gentoo.org> tomcat-5.0.18.ebuild:
  QA - fix use invocation

  08 Jun 2004; Bryan Østergaard <kloeri@gentoo.org> tomcat-5.0.18.ebuild:
  Stable on alpha.

*tomcat-5.0.25 (19 May 2004)

  19 May 2004; Chris Aniszczyk <zx@gentoo.org> +files/5.0.25/21tomcat,
  +files/5.0.25/gentoo.diff, +files/5.0.25/tomcat.conf,
  +files/5.0.25/tomcat.init, +tomcat-5.0.25.ebuild:
  New tomcat and new layout scheme.
  Thanks to Tim Chen for the initial ebuild.

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> tomcat-4.1.29.ebuild:
  Add inherit eutils

  10 Apr 2004; Travis Tilley <lv@gentoo.org> tomcat-5.0.18.ebuild:
  added ~amd64 keyword

  21 Mar 2004; Martin Holzer <mholzer@gentoo.org> tomcat-5.0.18.ebuild:
  adding categorie. see 45110 for details

  24 Feb 2004; Chris Aniszczyk <zx@gentoo.org> tomcat-4.1.29.ebuild:
  Heh, variable order fix ;) Bug #42071

  24 Feb 2004; Chris Aniszczyk <zx@gentoo.org> tomcat-5.0.18.ebuild,
  files/5.0.18/jikes.diff, files/5.0.18/tomcat.conf:
  Added jikes and doc support. Thanks to Luca Santarelli
  <hrk@users.sourceforge.net> for some patches. Bug #42175

*tomcat-5.0.18 (15 Feb 2004)
*tomcat-4.1.29 (15 Feb 2004)

  15 Feb 2004; <zx@gentoo.org> tomcat-4.1.29.ebuild, tomcat-5.0.18.ebuild:
  Massive bugfixes + version bumps. Huge thanks to Chetan Sarva
  <gentoo-bugs@fw2.net> for the ebuilds + various fixes. This update adds 5.0.18
  and 4.1.29 tomcat versions. It also fixes the following bugs:
  
  Bug #38949
  
  Bug #38952
  
  Bug #21772
  
  Bug #38358
  
  Bug #21744
  
  Bug #22040
  
  Bug #19723
  
  Bug #39819
  
  Bug #26994
  
  Bug #32408
  
  Bug #35094

  15 Dec 2003; <spider@gentoo.org> tomcat-4.1.24-r1.ebuild:
  QA: fixing chown user.group to user:group, bug #35127

  16 Oct 2003; Sergey Kuleshov <svyatogor@gentoo.org> tomcat-4.1.24-r1.ebuild:
  Fixed permissions for /etc/conf.d/tomcat

*tomcat-4.1.24-r1 (27 May 2003)

  27 May 2003; Dylan Carlson <absinthe@gentoo.org> tomcat-4.1.24-r1.ebuild:
  /opt/tomcat/conf was vulnerable to local users who are snooping the
  tomcat-users.xml file for passwords. The new ebuild fixes this problem for new
  installations.
  
  If you have an existing installation of Tomcat you can do the following:
  
  1. # /etc/init.d/tomcat stop
  2. # chmod -R 750 /opt/tomcat/
  3. # /etc/init.d/tomcat start
  
  Thanks to "D.Tuinstra" <tuinstra@inteo.com> for pointing out the
  vulnerability.

*tomcat-4.1.24 (25 Mar 2003)

  10 Apr 2003; Dylan Carlson <absinthe@gentoo.org> tomcat-4.1.24.ebuild:
  Minor fix to pkg_postinst() comments; fix to env.d/21tomcat install;
  added RDEPEND for sed.

  06 Apr 2003; Dylan Carlson <absinthe@gentoo.org> tomcat-4.1.24.ebuild:
  x86 ppc sparc moved to stable.

  28 Mar 2003; Dylan Carlson <absinthe@gentoo.org> files/4.1.24/tomcat.conf:
  Fixed sed path in conf.d/tomcat.

  25 Mar 2003; Dylan Carlson <absinthe@gentoo.org> omcat-4.1.24.ebuild, 
  files/4.1.24/21tomcat, tomcat-4.1.24.ebuild, files/4.1.24/21tomcat,
  files/4.1.24/gentoo.diff, files/4.1.24/tomcat.conf, files/4.1.24/tomcat.init:
  Version bump.  
  
  Also a few changes thanks to user feedback from Anthony Murray: 
  Fixes to init script, and changed conf.d/JAVA_HOME back to automatically
  set itself.  Closes bug #17907.

*tomcat-4.1.18-r1 (22 Mar 2003)

  22 Mar 2003; Dylan Carlson <absinthe@gentoo.org> tomcat-4.1.18-r1.ebuild,
  files/4.1.18/gentoo.diff, files/4.1.18/tomcat.conf,
  files/4.1.18/tomcat.init:
  Significant changes.  This ebuild now bears close resemblance to 
  net-www/orion.
  
  1. Tomcat now runs as user 'tomcat' by default. 
  2. All classes and JARs get installed into /usr/share/tomcat. 
  3. All logs go to /var/log/tomcat. 
  4. Init script was modified to use JAVA_HOME as set in /etc/conf.d/tomcat. 
     This is because we don't want the init script making any assumptions as 
     to what JVM the user wants to run for Tomcat. 
  5. JSSE and JPDA are supported as startup modes in /etc/conf.d/tomcat. 
     ( If you have a Sun Java 1.4 SDK or later, you have JSSE and JPDA 
     included. )
  
  Feedback on these changes would be appreciated, so we can get this
  ebuild moved to stable.
  	http://bugs.gentoo.org/
  	http://stable.gentoo.org/

*tomcat-4.1.18 (16 Mar 2003)

  16 Mar 2003; Dylan Carlson <absinthe@gentoo.org> tomcat-4.1.18.ebuild:
  New ebuild started from submission in bug # 11796. minor fixes; added
  servlet.jar as a shared library for packages that might require it at build
  time. Thanks to Mark Mealman <mmealman@tarsis.org> and gtonic <tom@wahuu.at>
  for their contributions.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*tomcat-4.0.6 (15 Oct 2002)

  15 Oct 2002; Maik Schreiber <blizzy@gentoo.org> : New version -
  security update. Closes bug #8931.

  26 Sep 2002; Maik Schreiber <blizzy@gentoo.org> files/21tomcat:
  Added CONFIG_PROTECT=/opt/jakarta/tomcat/conf so that configuration
  files don't get lost when installing a new version.

*tomcat-4.0.5 (25 Sep 2002)

  25 Sep 2002; Daniel Ahlberg <aliz@gentoo.org> :
  Security update. Ebuild provided by Adrian Almenar <aalmenar@conectium.com>.

*tomcat-4.0.4 (23 Jun 2002)

  14 Sep 2002; Owen Stampflee <owen@gentoo.org> :
  Added PPC to KEYWORDS.

  14 Jul 2002; Daniel Ahlberg <aliz@gentoo.org> tomcat-4.0.4.ebuild :
  Added KEYWORDS.

  23 Jun 2002; William McArthur <sandymac@gentoo.org> tomcat-4.0.4.ebuild files/digest-tomcat-4.0.4 :
 
  New upstream version. Added a .keep file to the logs dir to prevent the logs
  from being removed during an upgrade if there were no log files.

*tomcat-4.0.3 (03 Jun 2002)

  14 Jul 2002; Daniel Ahlberg <aliz@gentoo.org> tomcat-4.0.3.ebuild :
  Added KEYWORDS, SLOT.

  03 Jun 2002; Karl Trygve Kalleberg <karltk@gentoo.org> tomcat-4.0.3.ebuild files/digest-tomcat-4.0.3 :
 
  New upstream version.

*tomcat-4.0.1 (1 Feb 2002)

  14 Jul 2002; Daniel Ahlberg <aliz@gentoo.org> tomcat-4.0.1.ebuild :
  Added KEYWORDS, SLOT.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.

*tomcat-3.2.2.ebuild (14 Jul 2002)

  01 Jul 2002; Karl Trygve Kalleberg <karltk@gentoo.org> tomcat-3.2.2.ebuild files/digest-tomcat-3.2.2 :

  This package has been masked for a while. Finally removed to get rid of 
  dev-java/jaxp entirely.
   
  14 Jul 2002; Daniel Ahlberg <aliz@gentoo.org> tomcat-3.2.2.ebuild :
  Added KEYWORDS, SLOT.

